package com.rbevans.rest;
import jakarta.ws.rs.FormParam;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.PathParam;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.QueryParam;
import jakarta.ws.rs.core.MediaType;

@Path("example")
public class TestEndPoint {
	@GET
	@Produces(MediaType.TEXT_PLAIN)
	@Path("/params/{id}")
	public String getParamText(@PathParam("id") String id, @QueryParam("zip") int zipCode) {
       return "The value of the path parameter is " + id + " with a zip code of " + zipCode;
	}
	
	@POST
	@Produces(MediaType.TEXT_PLAIN)
	@Path("/querytest")
	public String getParamText(@FormParam("username") String user, 
			@FormParam("password") String pw) {
       return "The value of the form parameters are username=" + user + 
    		   " with a password=" + pw;
	}
}
